.. AUTO-GENERATED FILE. DO NOT EDIT. fulfillment-associate-orders-delete-one ======================================= Source ------ - Repository: ``jef-systems/jef-fulfillment-associate-backend`` - Source Run ID: ``25102000534`` - Source SHA: ``c226ca62ef6b026753728d0bc8bc0d132f27115d`` - Module: ``fulfillment-associate`` - Documentation Scope: ``async`` - Lambda: ``jef-fulfillment-associate-delete-5`` Endpoint -------- - API Name: ``jef-fulfillment-associate`` - Action Name: ``delete`` - Method: ``DELETE`` - Scope Label: ``Async`` - Resource Path: ``/fulfillment-associate-orders-delete-one`` - Complete Endpoint: ``https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-delete-5`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-fulfillment-associate-delete-5 Module: jef-fulfillment-associate Action: delete Method: DELETE Invocation Mode: ASYNC Resource Path: /fulfillment-associate-orders-delete-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-fulfillment-associate-orders Payload Example: - pk: order-001 Payload Schema: - pk: id Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "order-001" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"order-001\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "order-001"}'